Loading...
Searching...
No Matches
RDKit::MolAlign::BestAlignmentParams Struct Reference

`#include <AlignMolecules.h>`

## Public Attributes

int | maxMatches = 1e6
bool | symmetrizeConjugatedTerminalGroups
| matches found in a SubstructMatch().
bool | ignoreHs = true
int | numThreads = 1
| will always be used
std::vector< MatchVectType > | map
const RDNumeric::DoubleVector * | weights

## Detailed Description

Definition at line 39 of file AlignMolecules.h.

## Member Data Documentation

## ignoreHs

bool RDKit::MolAlign::BestAlignmentParams::ignoreHs = true

terminal functional groups (like nitro or carboxylate) will be considered symmetrically

Definition at line 47 of file AlignMolecules.h.

## map

std::vector<MatchVectType> RDKit::MolAlign::BestAlignmentParams::map

Definition at line 50 of file AlignMolecules.h.

## maxMatches

int RDKit::MolAlign::BestAlignmentParams::maxMatches = 1e6

Definition at line 40 of file AlignMolecules.h.

## numThreads

int RDKit::MolAlign::BestAlignmentParams::numThreads = 1

will always be used

Definition at line 49 of file AlignMolecules.h.

## symmetrizeConjugatedTerminalGroups

bool RDKit::MolAlign::BestAlignmentParams::symmetrizeConjugatedTerminalGroups

Initial value:
=
true

matches found in a SubstructMatch().

Definition at line 42 of file AlignMolecules.h.

## weights

const RDNumeric::DoubleVector* RDKit::MolAlign::BestAlignmentParams::weights

Initial value:
=
nullptr

(probe AtomId, ref AtomId) used to compute the alignments. If not provided, these will be generated using a substructure search.

Definition at line 55 of file AlignMolecules.h.

The documentation for this struct was generated from the following file:

- AlignMolecules.h